#ifndef __QTCLCOMMAND_H__
#define __QTCLCOMMAND_H__

struct Tcl_Interp;

#include <qobject.h>

class QTclCommand : public QObject {
  Q_OBJECT
  Q_PROPERTY(QString command READ command WRITE setCommand)
public:
  QTclCommand(QObject *parent,const char *name,Tcl_Interp *interp,const char *command);
  ~QTclCommand();
  const QString &command() const { return _command; }
  Tcl_Interp *interp() const { return _interp; }
public slots:
  void setCommand(const QString &command) { _command=command; }
private:
  Tcl_Interp *_interp;
  QString _command;
};

#endif
