#ifndef __QTCLFILEEVENT__
#define  __QTCLFILEEVENT__

#include "qsocketnotifier.h"
#include "QTclCommand.h"

class QTclInterp;

int QTclFileeventInit(QTclInterp *qinterp);

class QTclFileevent : public QTclCommand {
  Q_OBJECT
  Q_PROPERTY( int fd READ fd )
public slots:
  void fire(int fd);
public:
  QTclFileevent(QTclInterp *parent,const char *name,int fd,QSocketNotifier::Type type,const char *_cmd);
  int fd() const;
private:
  static int fileeventId;
  QSocketNotifier *qSocketNotifier;
};

#endif
