#ifndef __QTCLTIMER__
#define  __QTCLTIMER__

#include <qtimer.h>
#include <qcstring.h>
#include "QTclInterp.h"
#include "QTclCommand.h"

struct Tcl_Interp;

int QTclTimerInit(QTclInterp *qinterp);

class QTclTimer : public QTclCommand {
  Q_OBJECT
  Q_PROPERTY( int time READ time )
public slots:
  void fire();
public:
  QTclTimer(QTclInterp *parent,const char *name,int time,const char *cmd);
  int time() const { return _time; }
private:
  QTimer *qTimer;
  int _time;
};

#endif
